# Sonilo V1.1 Video to Video Music API

> Del pale o input-video generated music-trackesa ande mix, optional rakhipnasa perdal vakeripen

Ginel jekh video thaj del pherde mp4-fajla muzika ande. Optional `prompt` thaj `prompt_influence` (0 dži 1) dikhen o stil. `keep_speech_vocal` rakhel originalno vakeripen upral muzika, savi si teleducked. `start_offset` thaj `duration` limitinen scoring jekh segmentesa dži 600 sekunda, thaj `num_samples` del 1 dži 3 video.

- Model id: `sonilo/v1.1/video-to-video-music`
- Made by: Sonilo
- Category: Video to Video
- Output: video
- Price per second of your output audio: $0.009 / second of output audio (cheapest run $0.009 (9 API credits))
- Run: `POST https://api.doitong.ru/v1/run/sonilo/v1.1/video-to-video-music`
- Quote: `POST https://api.doitong.ru/v1/quote/sonilo/v1.1/video-to-video-music`
- Docs page: https://doitong.com/rom/developers/models/sonilo/v1.1/video-to-video-music

## Pricing

Price: **$0.009 / second of output audio**. Price per second of your output audio: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.09 = 90 API credits (10 s output audio × $0.009).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/sonilo/v1.1/video-to-video-music` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `video_url` | `video` | string (video URL) | yes |  |  | Javno dostupno HTTP vaj HTTPS URL vaš o video savo si te lel muzikalno partitura. |
| `keep_speech_vocal` |  | boolean | no | `false` |  | Vakeripasko/vokalosko ačhavipen ando rezultatosko video, standardno phandlo, te kerel o kerdo muzika te paruvavel savoro originalno soundtracko. Te phandel les, uživarel muzikalno sursosko separirimos te lel numa e vokalura thaj te miksinel len opral o kerdo muzika; automatikano ducking telekerel oda muzika kana vakerel pes. |
| `num_samples` |  | integer | no | `1` | 1 – 3 | Gindos e diferentone videonendar kerde partiturença save si te keren. |
| `prompt` |  | string \| null | no |  |  | Muzikalno-stilno dumo savo opcionalo paruvavel e promptos automatikane derivirime andar o video. |
| `prompt_influence` |  | number | no | `0.5` | 0 – 1 | Zor e promptoske pasaveski; vazdel les vaš maj paše pasavipen ko tekstosko instrukcija. |
| `start_offset` |  | number \| null | no |  | 0 – 600 | Opcionale skoririmosko offseto merime ande sekunda ko video; o kotor katar odothe trubul te avel andre o video, vašoda Start Offset plus Duration nashti te avel maj baro katar Video Duration. |
| `duration` |  | number \| null | no |  | 1 – 600 | Opcionale skoririmosko lungipen ande sekunda; standardno None ačhavel o skoririmos dži ko ačhilo video. Vaj si dino lungipen vaj na, o skoririmos kezdinel ko Start Offset te si dino, vaj katar o agor. |

File parameters (`video`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

A fuller example:

```json
{
  "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/video-to-video-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sonilo/v1.1/video-to-video-music?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sonilo/v1.1/video-to-video-music", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "sonilo/v1.1/video-to-video-music",
      "input": {
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/video-to-video-music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "videos": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Angluno videosko rezultato, savo jekhinen o source-video thaj o kerdo muzika ande jekh fajlo. |
| `videos` | array of object {url, content_type, file_name, file_size} | Savoro kolekcija skoririme mp4 videonendar, jekhe sakone samploske. |

## Related models

- [Sonilo V1.1 Text to Music](https://doitong.com/developers/models/sonilo/v1.1/text-to-music.md) (`sonilo/v1.1/text-to-music`): $0.0025 / second of output audio
- [Sonilo V1.1 Text to Sound Effects](https://doitong.com/developers/models/sonilo/v1.1/text-to-sound-effects.md) (`sonilo/v1.1/text-to-sound-effects`): $0.0018 / second of output audio
- [Sonilo V1.1](https://doitong.com/developers/models/sonilo/v1.1/video-to-music.md) (`sonilo/v1.1/video-to-music`): $0.009 / second of output audio
- [Sonilo V1.1 Video to Sound Effects](https://doitong.com/developers/models/sonilo/v1.1/video-to-sound-effects.md) (`sonilo/v1.1/video-to-sound-effects`): $0.009 / second of input video
- [Sonilo V1.1 Video to Video Sound Effects](https://doitong.com/developers/models/sonilo/v1.1/video-to-video-sound-effects.md) (`sonilo/v1.1/video-to-video-sound-effects`): $0.009 / second of input video
- [AMT Interpolation](https://doitong.com/developers/models/amt-interpolation.md) (`amt-interpolation`): $0.000575 / second of processing time
- [AnimateDiff Turbo · Video to Video](https://doitong.com/developers/models/fast-animatediff/turbo/video-to-video.md) (`fast-animatediff/turbo/video-to-video`): $0.00125 / second of processing time
- [AnimateDiff · Video to Video](https://doitong.com/developers/models/fast-animatediff/video-to-video.md) (`fast-animatediff/video-to-video`): $0.00125 / second of processing time

## Links

- HTML page: https://doitong.com/developers/models/sonilo/v1.1/video-to-video-music
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=sonilo/v1.1/video-to-video-music
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/sonilo/v1.1/video-to-video-music
